Bug 1296520 - [engine-backup] Misleading error msg when log parameter is not passed
[engine-backup] Misleading error msg when log parameter is not passed
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Backup-Restore.Engine (Show other bugs)
3.6.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Yedidyah Bar David
Gonza
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 07:26 EST by Gonza
Modified: 2016-07-05 03:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:53:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51510 master MERGED packaging: engine-backup: Fix notification on failure 2016-01-07 10:31 EST

  None (edit)
Description Gonza 2016-01-07 07:26:21 EST
Description of problem:
When no log parameter is passed to the engine-backup, irrelevant error messages are displayed.

Version-Release number of selected component (if applicable):
rhevm-3.6.2-0.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. engine-backup --file=f1 --mode=backup

Actual results:
# engine-backup --file=f1 --mode=backup
FATAL: --log is missing
readlink: missing operand
Try `readlink --help' for more information.
/usr/bin/engine-backup: line 1405: : No such file or directory
Notifying engine
/usr/bin/engine-backup: line 1472: : No such file or directory
/usr/bin/engine-backup: line 1405: : No such file or directory
FATAL: Failed notifying engine


Expected results:
# engine-backup --file=f1 --mode=backup
FATAL: --log is missing
Comment 1 Red Hat Bugzilla Rules Engine 2016-01-07 10:58:55 EST
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-07 10:59:19 EST
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 3 Gonza 2016-06-24 03:00:56 EDT
Verified with:
rhevm-4.0.0.6-0.1.el7ev.noarch

# engine-backup --file=f1 --mode=backup
FATAL: --log is missing
Comment 4 Sandro Bonazzola 2016-07-05 03:53:05 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.